from  rdflib import Graph, URIRef, Namespace, RDFS, plugin, query
 
plugin.register('sparql', query.Processor, 'rdfextras.sparql.processor', 'Processor')
plugin.register('sparql', query.Result, 'rdfextras.sparql.query', 'SPARQLQueryResult')

g=Graph()

dbpedia=Namespace('http://dbpedia.org/ontology/')
rdfs=Namespace('http://www.w3.org/2000/01/rdf-schema#')
dbpedia_owl=Namespace('http://dbpedia.org/ontology/')
dbpedia=Namespace('http://dbpedia.org/resource/')
dbprop=Namespace('http://dbpedia.org/property/')
foaf=Namespace('http://xmlns.com/foaf/0.1/')
wp=Namespace('http://en.wikipedia.org/wiki/')


query = """
PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
PREFIX dbpedia-owl: <http://dbpedia.org/ontology/>
PREFIX dbpedia: <http://dbpedia.org/resource/>
PREFIX dbprop: <http://dbpedia.org/property/>
PREFIX foaf: <http://xmlns.com/foaf/0.1/>
PREFIX wp: <http://en.wikipedia.org/wiki/>

SELECT ?property ?hasValue ?isValueOf
FROM <http://dbpedia.org/sparql>
WHERE { dbpedia:Lars_von_Trier ?property ?hasValue }
"""

for row in g.query(query):
        print row

