from SPARQLWrapper import SPARQLWrapper, JSON

sparql = SPARQLWrapper("http://live.dbpedia.org/sparql")
sparql.setQuery("""
prefix dbpedia: <http://dbpedia.org/resource/>
prefix dbpedia-ont: <http://dbpedia.org/ontology/>
prefix dbpprop: <http://dbpedia.org/property/>
prefix yago: <http://dbpedia.org/class/yago/>
select ?a ?p ?q
where { ?a a dbpedia-ont:PopulatedPlace ; dbpedia-ont:country dbpedia:France ; dbpprop:name ?n ; ?p ?q . FILTER (?n like 'Cachan')}
""")
sparql.setReturnFormat(JSON)
results = sparql.query().convert()

for result in results["results"]["bindings"]:
    print result["a"]["value"].encode('utf-8')
for result in results["results"]["bindings"]:
    print result["p"]["value"].encode('utf-8')
    print result["q"]["value"].encode('utf-8')
