from SPARQLWrapper import SPARQLWrapper, JSON

sparql = SPARQLWrapper("http://dbpedia.org/sparql")
sparql.setQuery("""
prefix dbpedia: <http://dbpedia.org/resource/>
prefix dbpedia-ont: <http://dbpedia.org/ontology/>
prefix dbpprop: <http://dbpedia.org/property/>
prefix yago: <http://dbpedia.org/class/yago/>
select ?a 
where { ?a a yago:CapitalsInEurope . } 
""")
sparql.setReturnFormat(JSON)
results = sparql.query().convert()

for result in results["results"]["bindings"]:
    print result["a"]["value"].encode('utf-8')
