from SPARQLWrapper import SPARQLWrapper, JSON
from rdflib import Graph

src = Graph()
src.parse('lod/directors.ttl', format='n3')

sparql = SPARQLWrapper("http://live.dbpedia.org/sparql")

rep=src.query("""
PREFIX dbpprop: <http://dbpedia.org/property/>
SELECT ?director ?nom
WHERE { ?director dbpprop:name  ?nom }
""")

print rep

for result in rep:
    nom = result["nom"]
    # print nom.encode('utf-8')
    director = result["director"]
    query = """
PREFIX dbp: <http://dbpedia.org/property/>
PREFIX dbr: <http://dbpedia.org/resource/>
SELECT ?film ?actor 
WHERE {  ?film dbp:director <""" + director + """> . 
        ?film dbp:starring ?actor } """
    # print query.encode('utf-8')
    sparql.setQuery(query)
    sparql.setReturnFormat(JSON)
    results = sparql.query().convert()
    # print nom, " -> "
    for result in results["results"]["bindings"]:
        print director.encode('utf-8'), result["film"]["value"].encode('utf-8'), result["actor"]["value"].encode('utf-8')


      
