# Exception: ServiceGraphPattern not implemented
from SPARQLWrapper import SPARQLWrapper, JSON
from rdflib import Graph, URIRef, Literal, term

sparql = SPARQLWrapper("http://dbpedia.org/sparql")



src = Graph()
src.parse('lod/directors.ttl', format='n3')
for s,p,o in src:
    result = src.query("""
prefix dbpedia: <http://dbpedia.org/resource/> 
prefix dbpedia-ont: <http://dbpedia.org/ontology/> 
prefix dbpprop: <http://dbpedia.org/property/>
prefix ns:   <http://example.org/ns#> 

SELECT ?a ?p ?c  
WHERE { ?director dbpprop:name ?n
        SERVICE <http://dbpedia.org/sparql> {
 	  	    ?director ?p ?c . 
        }
}
""")

for row in result:
    print(row["a"])
    print(row["p"])
    print(row["c"])

